# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# As discussed in the Fedora packaging mailing list
# the package is named tor-arm as in Debian to avoid conflicts
# http://lists.fedoraproject.org/pipermail/packaging/2011-October/007945.html
Name:           tor-arm
Version:        1.4.5.0
Release:        alt1_13
Summary:        Terminal status monitor for Tor

Group:          Communications
License:        GPLv3
URL:            http://www.atagar.com/arm/
Source0:        http://www.atagar.com/arm/resources/static/arm-%{version}.tar.bz2
Source1:        http://www.atagar.com/arm/resources/static/arm-%{version}.tar.bz2.asc
# https://trac.torproject.org/projects/tor/ticket/5973
Patch1:         %{name}-1.4.5.0-usrmove.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils
Requires:       python-module-pytorctl

%description
The anonymizing relay monitor (arm) is a terminal status monitor for Tor relays,
intended for command-line aficionados, ssh connections, and anyone with a tty
terminal. This works much like top does for system usage, providing real time
statistics for:

 - bandwidth, CPU, and memory usage
 - relay's current configuration
 - logged events
 - connection details (IP, host name, fingerprint, and consensus data)
 - etc.

%package gui
Summary:        GTK frontend for %{name}
Group:          Communications
Requires:       %{name} = %{version}-%{release}
Requires:       python-module-cagraph
Requires:       python-module-pygtk-libglade

%description gui
This package provides a GTK based frontend for %{name}

%package devel
Summary:        Development files for tor-arm
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains example code for building a setuid binary to be able to
modify Tor config at run time


%prep
%setup -q -n arm
%patch1 -p1


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root=%{buildroot}
# This lives in pytorctl
rm -rf %{buildroot}%{_datadir}/arm/TorCtl
chmod 0755 %{buildroot}%{_datadir}/arm/starter.py \
           %{buildroot}%{_datadir}/arm/test.py
install -d %{buildroot}%{_datadir}/icons/hicolor/scalable/apps \
           %{buildroot}%{_datadir}/applications
mv %{buildroot}%{_datadir}/arm/resources/%{name}.svg \
     %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
     %{buildroot}%{_datadir}/arm/resources/%{name}.desktop
# Remove unnecessary installed files
rm -rf %{buildroot}%{_docdir}
rm -f %{buildroot}%{_datadir}/arm/uninstall \
      %{buildroot}%{_datadir}/arm/resources/arm.1 \
      %{buildroot}%{_datadir}/arm/resources/torrcOverride/override.c \
      %{buildroot}%{_datadir}/arm/resources/torrcOverride/override.h \
      %{buildroot}%{_datadir}/arm/resources/%{name}.desktop


%files
%doc ChangeLog README armrc.sample
%doc LICENSE
%{_mandir}/man1/arm.1.*
%{_bindir}/arm
%{_datadir}/arm
%{_datadir}/arm-%{version}*.egg-info

%files gui
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop

%files devel
%doc src/resources/torrcOverride/override.c src/resources/torrcOverride/override.h


%changelog
* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.4.5.0-alt1_13
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.4.5.0-alt1_12
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.4.5.0-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.4.5.0-alt1_8
- update to new release by fcimport

* Wed May 14 2014 Igor Vlasenko <viy@altlinux.ru> 1.4.5.0-alt1_7
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.5.0-alt1_6
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.4.5.0-alt1_5
- initial fc import

